Исследователи компании FireEye сообщили в своем блоге о существовании опасной бреши в Java Runtime Environment (JRE) 1.7 — среде выполнения Java. Обнаруженной уязвимости, актуальной для платформ Microsoft Windows, Mac OS Х и Linux, было присвоено название CVE-2012-4681. Уязвимость CVE-2012-4681 активно используется хакерами — буквально за несколько часов в хакерском арсенале появились последние обновления самых популярных наборов эксплойтов, включающие эксплойт и под CVE-2012-4681.

Ввиду серьезности проблемы корпорация Oracle выпустила внеочередной патч, закрывающий указанную брешь. Однако сразу после этого эксперты польской компании Security Explorations сообщили о том, что в Java с установленным последним патчем присутствует ещё одна серьезная уязвимость, в настоящее время остающаяся незакрытой. Эксплуатируя новую брешь, хакер имеет возможность обойти песочницу виртуальной машины Java и выполнить произвольный код на компьютере.

До выхода соответствующей «заплаты» пользователям может быть полезна специальная рекомендация экспертов eScan по предотвращению атак через незакрытую уязвимость Java:

«Радикальным способом защиты является удаление продуктов Java из компьютерной системы, — советуют эксперты eScan в России и СНГ. — Однако не все компании и домашние пользователи имеют такую возможность, поскольку используют программное обеспечение, работающее на базе JRE, например, программы GoToMeeting, Webex и Elluminate. В таком случае лучшее решение — это отключение плагина Java в веб-браузере».

Пресс-релиз

Версия для печати